package com.dev.swms.server.action.formatter;

import java.util.List;

import com.dev.energy.server.format.Formatter;
import com.dev.energy.server.util.LocalizedMessage;

public class WWBooleanFormatter implements Formatter {

	public String format(String property, Object cellValue, List origenData,
			String referenceModel, String locale) {
		
		/**
		 * 说明：
		 * WWBooleanType表示国际化中的Key
		 * cellValue表示实际的值
		 * 
		 * 例如：国际化中有--WWBooleanType.true=是 WWBooleanType.false=否 WWBooleanType.-=
		 * 那么在数据库中Boolean类型为空时，国际化的值为""
		 */
		if(property == null || property.equals("")) {
			property = "WWBooleanType";
		}
		if(cellValue == null) {
			cellValue = "-";
		}
		return LocalizedMessage.getLocalizedMessage(property + "." + cellValue , referenceModel, locale);
	}

}
